commit 0004459f806e80bf61ad1fe87e971b474a3b0caa
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Wed Nov 1 07:55:29 2017 +0300

    Fix a condition in the collation validation

diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
index 62d1031..0d75eee 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/collations/static/js/collation.js
@@ -164,7 +164,7 @@ define('pgadmin.node.collation', [
               || String(this.get('copy_collation')).replace(/^\s+|\s+$/g, '') == '')) {
             copy_coll_flag = true;
           }
-          if (locale_flag && (lc_coll_flag || lc_coll_flag) && copy_coll_flag) {
+          if (locale_flag && (lc_coll_flag || lc_type_flag) && copy_coll_flag) {
             msg = gettext('Definition incomplete. Please provide Locale OR Copy Collation OR LC_TYPE/LC_COLLATE.');
             err['locale'] = msg
           }
